import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$1 } from './telia-vst2.js';

const teliaGridCss = ".telia-grid{box-sizing:border-box;display:block;margin-left:auto;margin-right:auto;max-width:calc(144rem * var(--voca-rem-multiplier));padding:0 calc(1.6rem * var(--voca-rem-multiplier));width:100%}@media screen and (min-width: 37.5em){.telia-grid{padding:0 calc(2.4rem * var(--voca-rem-multiplier))}}@media screen and (min-width: 64em){.telia-grid{padding:0 calc(4.8rem * var(--voca-rem-multiplier))}}@media screen and (min-width: 90em){.telia-grid{padding:0 calc(4.8rem * var(--voca-rem-multiplier))}}";

const TeliaGrid = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /** Tracking id is used to identify and count Component usage */
    this.dataTrackingId = 'telia-grid';
  }
  render() {
    return (h(Host, { class: "telia-grid" }, h("slot", null), h("telia-vst", { dataTrackingId: this.dataTrackingId })));
  }
  static get style() { return teliaGridCss; }
}, [4, "telia-grid"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["telia-grid", "telia-vst"];
  components.forEach(tagName => { switch (tagName) {
    case "telia-grid":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, TeliaGrid);
      }
      break;
    case "telia-vst":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}
defineCustomElement();

export { TeliaGrid as T, defineCustomElement as d };
